drc: use a separate var for game hacks
[pcsx_rearmed.git] / configure
CommitLineData
4132e8ca 1#!/bin/sh
2# some elements originated from qemu configure
3set -e
4
5TMPC="/tmp/pcsx-conf-${RANDOM}-$$-${RANDOM}.c"
6TMPO="/tmp/pcsx-conf-${RANDOM}-$$-${RANDOM}.o"
07c13dfd 7TMPB="/tmp/pcsx-conf-${RANDOM}-$$-${RANDOM}"
8trap "rm -f $TMPC $TMPO $TMPB" EXIT INT QUIT TERM
4132e8ca 9rm -f config.log
10
11compile_object()
12{
07c13dfd 13 c="$CC $CFLAGS -c $TMPC -o $TMPO $@"
14 echo $c >> config.log
15 $c >> config.log 2>&1
16}
17
18compile_binary()
19{
20 c="$CC $CFLAGS $TMPC -o $TMPB $LDFLAGS $MAIN_LDLIBS $@"
4132e8ca 21 echo $c >> config.log
22 $c >> config.log 2>&1
23}
24
25check_define()
26{
cc376814 27 $CC -E -dD $CFLAGS include/arm_features.h | grep -q "$1" || return 1
28 return 0
29}
30
31check_define_val()
32{
33 $CC -E -dD $CFLAGS include/arm_features.h | grep "$1" | awk '{print $3}'
4132e8ca 34 return 0
35}
36
37# setting options to "yes" or "no" will make that choice default,
38# "" means "autodetect".
39
38c2028e 40platform_list="generic pandora maemo caanoo libretro"
4132e8ca 41platform="generic"
0bfe8d59 42builtin_gpu_list="peops unai neon senquack"
61bc6d40 43builtin_gpu=""
b68bf5c2 44sound_driver_list="oss alsa pulseaudio sdl libretro"
07c13dfd 45sound_drivers=""
dd4d5a35 46plugins="plugins/spunull/spunull.so \
0bfe8d59 47plugins/dfxvideo/gpu_peops.so plugins/gpu_unai/gpu_unai.so plugins/gpu_senquack/gpu_senquack.so"
4132e8ca 48ram_fixed="no"
49drc_cache_base="no"
00a212aa 50have_armv5=""
4132e8ca 51have_armv6=""
52have_armv7=""
53have_arm_neon=""
54have_tslib=""
5b9aa749 55have_gles=""
5514a050 56have_c64x_dsp=""
4132e8ca 57enable_dynarec="yes"
f89fa2d9 58need_sdl="no"
955f9af0 59need_xlib="no"
cc56203b 60need_libpicofe="yes"
61need_warm="no"
943a507a 62enable_icache_emu="yes"
5b9aa749 63CFLAGS_GLES=""
64LDLIBS_GLES=""
4132e8ca 65# these are for known platforms
66optimize_cortexa8="no"
67optimize_arm926ej="no"
68
69# hardcoded stuff
70CC="${CC-${CROSS_COMPILE}gcc}"
ac6575cd 71CXX="${CXX-${CROSS_COMPILE}g++}"
4132e8ca 72AS="${AS-${CROSS_COMPILE}as}"
73AR="${AS-${CROSS_COMPILE}ar}"
9aff1963 74MAIN_LDLIBS="$LDLIBS -ldl -lm -lpthread"
4132e8ca 75config_mak="config.mak"
76
07c13dfd 77fail()
78{
79 echo "$@"
5d53bb85 80 if test -n "$DUMP_CONFIG_LOG"; then cat config.log; fi
07c13dfd 81 exit 1
82}
83
4132e8ca 84# call during arg parsing, so that cmd line can override platform defaults
85set_platform()
86{
87 platform=$1
88 case "$platform" in
89 generic)
90 ;;
91 pandora)
07c13dfd 92 sound_drivers="oss alsa"
4132e8ca 93 ram_fixed="yes"
94 drc_cache_base="yes"
95 optimize_cortexa8="yes"
96 have_arm_neon="yes"
955f9af0 97 need_xlib="yes"
943a507a 98 enable_icache_emu="no"
4132e8ca 99 ;;
100 maemo)
101 ram_fixed="yes"
102 drc_cache_base="yes"
103 optimize_cortexa8="yes"
104 have_arm_neon="yes"
943a507a 105 enable_icache_emu="no"
4132e8ca 106 ;;
107 caanoo)
07c13dfd 108 sound_drivers="oss"
4132e8ca 109 ram_fixed="yes"
110 drc_cache_base="yes"
111 optimize_arm926ej="yes"
cc56203b 112 need_warm="yes"
943a507a 113 enable_icache_emu="no"
4132e8ca 114 ;;
38c2028e 115 libretro)
07c13dfd 116 sound_drivers="libretro"
cc56203b 117 need_libpicofe="no"
38c2028e 118 ;;
4132e8ca 119 *)
07c13dfd 120 fail "unsupported platform: $platform"
4132e8ca 121 ;;
122 esac
123}
124
125for opt do
126 optarg=`expr "x$opt" : 'x[^=]*=\(.*\)'` || true
127 case "$opt" in
128 --help|-h) show_help="yes"
129 ;;
130 --platform=*) set_platform "$optarg"
131 ;;
61bc6d40 132 --gpu=*) builtin_gpu="$optarg"
133 ;;
07c13dfd 134 --sound-drivers=*) sound_drivers="$optarg"
4132e8ca 135 ;;
136 --enable-neon) have_arm_neon="yes"
137 ;;
138 --disable-neon) have_arm_neon="no"
139 ;;
140 --disable-dynarec) enable_dynarec="no"
141 ;;
943a507a 142 --disable-icache-emu) enable_icache_emu="no"
143 ;;
144 --enable-icache-emu) enable_icache_emu="yes"
145 ;;
4132e8ca 146 *) echo "ERROR: unknown option $opt"; show_help="yes"
147 ;;
148 esac
149done
150
151if [ "$show_help" = "yes" ]; then
152 echo "options:"
153 echo " --help print this message"
154 echo " --platform=NAME target platform [$platform]"
155 echo " available: $platform_list"
61bc6d40 156 echo " --gpu=NAME builtin gpu plugin [guessed]"
157 echo " available: $builtin_gpu_list"
07c13dfd 158 echo " --sound-drivers=LIST sound output drivers [guessed]"
4132e8ca 159 echo " available: $sound_driver_list"
160 echo " --enable-neon"
161 echo " --disable-neon enable/disable ARM NEON optimizations [guessed]"
162 echo " --disable-dynarec disable dynamic recompiler"
163 echo " (dynarec is only available and enabled on ARM)"
943a507a 164 echo " --disable-icache-emu Disables the instruction cache emulation"
4132e8ca 165 echo "influential environment variables:"
ac6575cd 166 echo " CROSS_COMPILE CC CXX AS AR CFLAGS ASFLAGS LDFLAGS LDLIBS"
4132e8ca 167 exit 1
168fi
169
07c13dfd 170# validate selections
61bc6d40 171if [ "x$builtin_gpu" != "x" ]; then
07c13dfd 172 if ! echo $builtin_gpu_list | grep -q "\<$builtin_gpu\>"; then
173 fail "unsupported builtin gpu plugin: $builtin_gpu"
174 fi
61bc6d40 175fi
176
07c13dfd 177if [ "x$sound_drivers" != "x" ]; then
178 for d in $sound_drivers; do
179 if ! echo $sound_driver_list | grep -q "\<$d\>"; then
180 fail "unsupported sound driver: $sound_driver"
181 fi
182 done
183fi
4132e8ca 184
cc56203b 185if [ "$need_libpicofe" = "yes" ]; then
186 if ! test -f "frontend/libpicofe/README"; then
187 fail "libpicofe is missing, please run 'git submodule init && git submodule update'"
188 fi
189fi
190
191if [ "$need_warm" = "yes" ]; then
192 if ! test -f "frontend/warm/README"; then
193 fail "wARM is missing, please run 'git submodule init && git submodule update'"
194 fi
195fi
196
00a212aa 197# basic compiler test
198cat > $TMPC <<EOF
199#include <zlib.h>
200int main(void) { return 0; }
201EOF
202if ! compile_binary; then
0dc1b4a9 203 fail "compiler test failed, please check config.log"
00a212aa 204fi
205
4132e8ca 206if [ -z "$ARCH" ]; then
0dc1b4a9 207 ARCH=`$CC -dumpmachine | awk -F '-' '{print $1}'`
4132e8ca 208fi
209
0dc1b4a9 210case "$ARCH" in
211arm*)
212 # ARM stuff
213 ARCH="arm"
214
4132e8ca 215 if [ "$optimize_cortexa8" = "yes" ]; then
4132e8ca 216 CFLAGS="$CFLAGS -mcpu=cortex-a8 -mtune=cortex-a8"
217 ASFLAGS="$ASFLAGS -mcpu=cortex-a8"
218 fi
219 if [ "$optimize_arm926ej" = "yes" ]; then
220 CFLAGS="$CFLAGS -mcpu=arm926ej-s -mtune=arm926ej-s"
221 ASFLAGS="$ASFLAGS -mcpu=arm926ej-s -mfloat-abi=softfp"
222 fi
223
224 if [ "x$have_arm_neon" = "x" ]; then
225 # detect NEON from user-supplied cflags to enable asm code
226 have_arm_neon=`check_define __ARM_NEON__ && echo yes` || true
227 fi
4132e8ca 228 if [ "x$have_armv7" = "x" ]; then
00a212aa 229 if check_define HAVE_ARMV7; then
4132e8ca 230 have_armv7="yes"
00a212aa 231 have_armv6="yes"
232 have_armv5="yes"
4132e8ca 233 fi
234 fi
00a212aa 235 if [ "x$have_armv6" = "x" ]; then
236 if check_define HAVE_ARMV6; then
237 have_armv6="yes"
238 have_armv5="yes"
239 fi
240 fi
241 if [ "x$have_armv5" = "x" ]; then
242 have_armv5=`check_define HAVE_ARMV5 && echo yes` || true
243 fi
4132e8ca 244
61bc6d40 245 if [ "x$builtin_gpu" = "x" ]; then
246 if [ "$have_arm_neon" = "yes" ]; then
247 builtin_gpu="neon"
248 elif [ "$have_armv7" != "yes" ]; then
249 # pre-ARMv7 hardware is usually not fast enough for peops
250 builtin_gpu="unai"
251 else
252 builtin_gpu="peops"
253 fi
254 fi
255
e795af9e 256 # automatically set mfpu and mfloat-abi if they are not set
4132e8ca 257 if [ "$have_arm_neon" = "yes" ]; then
40cf6975 258 fpu="neon"
4132e8ca 259 elif [ "$have_armv6" = "yes" ]; then
40cf6975 260 fpu="vfp"
4132e8ca 261 fi
40cf6975 262 if [ "x$fpu" != "x" ]; then
263 echo "$CFLAGS" | grep -q -- '-mfpu=' || CFLAGS="$CFLAGS -mfpu=$fpu"
264 echo "$ASFLAGS" | grep -q -- '-mfpu=' || ASFLAGS="$ASFLAGS -mfpu=$fpu"
265 floatabi_set_by_gcc=`$CC -v 2>&1 | grep -q -- --with-float= && echo yes` || true
266 if [ "$floatabi_set_by_gcc" != "yes" ]; then
267 echo "$CFLAGS" | grep -q -- '-mfloat-abi=' || CFLAGS="$CFLAGS -mfloat-abi=softfp"
268 echo "$ASFLAGS" | grep -q -- '-mfloat-abi=' || ASFLAGS="$ASFLAGS -mfloat-abi=softfp"
269 fi
4132e8ca 270 fi
271
9f704290 272 # must disable thumb as recompiler can't handle it
96751f36 273 if check_define __thumb__; then
9f704290 274 CFLAGS="$CFLAGS -marm"
96751f36 275 fi
00a212aa 276
277 # warn about common mistakes
278 if [ "$have_armv5" != "yes" ]; then
279 if ! echo "$CFLAGS" | grep -q -- '-mcpu=\|-march='; then
280 echo "Warning: compiling for ARMv4, is that really what you want?"
281 echo "You probably should specify -mcpu= or -march= like this:"
282 echo " CFLAGS=-march=armv6 ./configure ..."
283 fi
284 fi
285 if [ "$have_arm_neon" = "yes" -a "$have_armv7" != "yes" ]; then
286 echo "Warning: compiling for NEON, but not ARMv7?"
287 echo "You probably want to specify -mcpu= or -march= like this:"
288 echo " CFLAGS=-march=armv7-a ./configure ..."
289 fi
0dc1b4a9 290 ;;
55a2d0dc 291aarch64)
292 ;;
0dc1b4a9 293*)
4132e8ca 294 # dynarec only available on ARM
295 enable_dynarec="no"
0dc1b4a9 296 ;;
297esac
4132e8ca 298
61bc6d40 299if [ "x$builtin_gpu" = "x" ]; then
300 builtin_gpu="peops"
301fi
302
4132e8ca 303# supposedly we can avoid -fPIC on armv5 for slightly better performace?
304if [ "$ARCH" != "arm" -o "$have_armv6" = "yes" ]; then
305 PLUGIN_CFLAGS="$PLUGIN_CFLAGS -fPIC"
306fi
307
308if [ "$ram_fixed" = "yes" ]; then
309 CFLAGS="$CFLAGS -DRAM_FIXED"
310fi
311
38c2028e 312case "$platform" in
313generic)
f89fa2d9 314 need_sdl="yes"
38c2028e 315 ;;
316maemo)
7010034e 317 CFLAGS="$CFLAGS -DMAEMO -DMAEMO_CHANGES"
38c2028e 318 ;;
319libretro)
320 CFLAGS="$CFLAGS -fPIC"
22fa3f2b 321 MAIN_LDFLAGS="$MAIN_LDFLAGS -shared -Wl,--no-undefined"
38c2028e 322 ;;
323esac
4132e8ca 324
07c13dfd 325# header/library presence tests
326check_zlib()
327{
328 cat > $TMPC <<EOF
329 #include <zlib.h>
791f6e3e 330 int main(void) { uncompress(0, 0, 0, 0); }
07c13dfd 331EOF
332 compile_binary
333}
334
07c13dfd 335check_libpng()
336{
337 cat > $TMPC <<EOF
338 #include <png.h>
339 void main() { png_init_io(0, 0); }
340EOF
341 compile_binary
342}
343
344check_oss()
345{
346 cat > $TMPC <<EOF
347 #include <sys/soundcard.h>
348 #include <sys/ioctl.h>
349 void main() { int a=0; ioctl(0, SNDCTL_DSP_SETFMT, &a); }
350EOF
351 compile_binary
352}
353
354check_alsa()
355{
356 cat > $TMPC <<EOF
357 #include <alsa/asoundlib.h>
358 void main() { snd_pcm_open(0, 0, 0, 0); }
359EOF
360 compile_binary "$@"
361}
362
b68bf5c2 363check_pulseaudio()
364{
365 cat > $TMPC <<EOF
366 #include <pulse/pulseaudio.h>
367 void main() { pa_threaded_mainloop_new(); }
368EOF
369 compile_binary "$@"
370}
371
07c13dfd 372check_sdl()
373{
374 cat > $TMPC <<EOF
375 #include <SDL.h>
376 void main() { SDL_OpenAudio(0, 0); }
377EOF
378 compile_binary "$@"
379}
380
955f9af0 381check_xlib_headers()
382{
383 cat > $TMPC <<EOF
384 #include <X11/Xlib.h>
385 void *f() { return XOpenDisplay(0); }
386EOF
387 compile_object "$@"
388}
389
5514a050 390# see if we have c64_tools for TI C64x DSP
391check_c64_tools()
392{
393 cat > $TMPC <<EOF
394 #include <inc_libc64_mini.h>
395 int f() { return dsp_open(); }
396EOF
397 compile_object "$@"
398}
399
f89fa2d9 400MAIN_LDLIBS="$MAIN_LDLIBS -lz"
9f704290 401check_zlib || fail "please install zlib (libz-dev)"
f89fa2d9 402
f89fa2d9 403MAIN_LDLIBS="-lpng $MAIN_LDLIBS"
9f704290 404check_libpng || fail "please install libpng (libpng-dev)"
07c13dfd 405
406# find what audio support we can compile
407if [ "x$sound_drivers" = "x" ]; then
408 if check_oss; then sound_drivers="$sound_drivers oss"; fi
f89fa2d9 409 if check_alsa -lasound; then
410 sound_drivers="$sound_drivers alsa"
411 MAIN_LDLIBS="-lasound $MAIN_LDLIBS"
412 fi
b68bf5c2 413 if check_pulseaudio -lpulse; then
414 sound_drivers="$sound_drivers pulseaudio"
415 MAIN_LDLIBS="-lpulse $MAIN_LDLIBS"
416 fi
9f704290 417 if [ "$need_sdl" = "yes" ] || check_sdl `sdl-config --cflags --libs`; then
f89fa2d9 418 sound_drivers="$sound_drivers sdl"
419 need_sdl="yes"
420 fi
421else
422 if echo $sound_drivers | grep -q "\<oss\>"; then
423 check_oss || fail "oss support is missing"
424 fi
425 if echo $sound_drivers | grep -q "\<alsa\>"; then
426 MAIN_LDLIBS="-lasound $MAIN_LDLIBS"
427 check_alsa || fail "please install libasound2-dev"
428 fi
b68bf5c2 429 if echo $sound_drivers | grep -q "\<pulseaudio\>"; then
430 MAIN_LDLIBS="-lpulse $MAIN_LDLIBS"
431 check_pulseaudio || fail "pulseaudio support is missing"
432 fi
07c13dfd 433fi
434
9f704290 435if [ "$need_sdl" = "yes" ]; then
436 which sdl-config > /dev/null || \
437 fail "sdl-config is missing; please install libsdl (libsdl1.2-dev)"
f89fa2d9 438 CFLAGS="$CFLAGS `sdl-config --cflags`"
439 MAIN_LDLIBS="`sdl-config --libs` $MAIN_LDLIBS"
9f704290 440 check_sdl || fail "please install libsdl (libsdl1.2-dev)"
07c13dfd 441fi
442
4132e8ca 443# check for tslib (only headers needed)
444if [ "x$have_tslib" = "x" ]; then
445 cat > $TMPC <<EOF
446 #include <tslib.h>
447 void test(struct ts_sample sample) {}
448EOF
449 if compile_object; then
450 have_tslib="yes"
451 else
452 have_tslib="no"
453 fi
454fi
455
5b9aa749 456# check for VideoCore stuff for Raspberry Pi
ad6150e0 457if [ -d /opt/vc/include -a -d /opt/vc/lib -a "$VIDEOCORE" != "no" ]; then
237d1f6f 458 CFLAGS_GLES="$CFLAGS_GLES -I/opt/vc/include -I/opt/vc/include/interface/vcos/pthreads -I/opt/vc/include/interface/vmcs_host/linux"
5b9aa749 459 LDLIBS_GLES="$LDLIBS_GLES -L/opt/vc/lib"
cbcadc5f 460 if [ -f /opt/vc/lib/libbcm_host.so ]; then
461 LDLIBS_GLES="$LDLIBS_GLES -lbcm_host"
462 fi
955f9af0 463 need_xlib="yes"
ad6150e0 464 VIDEOCORE="yes"
5b9aa749 465fi
466
dd4d5a35 467# check for GLES headers
468cat > $TMPC <<EOF
469#include <GLES/gl.h>
dd4d5a35 470#include <EGL/egl.h>
5b9aa749 471int main(void) {
472 return (int)eglGetDisplay( (EGLNativeDisplayType)0 );
dd4d5a35 473}
474EOF
ad6150e0
CG
475if [ "$VIDEOCORE" = "yes" ] && compile_binary $CFLAGS_GLES -lbrcmEGL -lbrcmGLESv2 $LDLIBS_GLES; then
476 have_gles="yes"
477 LDLIBS_GLES="-lbrcmEGL -lbrcmGLESv2 $LDLIBS_GLES"
478elif compile_binary $CFLAGS_GLES -lEGL -lGLES_CM $LDLIBS_GLES; then
5b9aa749 479 have_gles="yes"
480 LDLIBS_GLES="-lEGL -lGLES_CM $LDLIBS_GLES"
481elif compile_binary $CFLAGS_GLES -lEGL -lGLESv1_CM $LDLIBS_GLES; then
482 have_gles="yes"
483 LDLIBS_GLES="-lEGL -lGLESv1_CM $LDLIBS_GLES"
dd4d5a35 484fi
485
5514a050 486if check_c64_tools; then
487 have_c64x_dsp="yes"
488fi
489
5b9aa749 490if [ "$have_gles" = "yes" ]; then
491 plugins="$plugins plugins/gpu-gles/gpu_gles.so"
492fi
61bc6d40 493if [ "$have_arm_neon" = "yes" -a "$builtin_gpu" != "neon" ]; then
494 plugins="$plugins plugins/gpu_neon/gpu_neon.so"
495fi
496
955f9af0 497# check for xlib (only headers needed)
498if [ "x$need_xlib" = "xyes" ]; then
499 check_xlib_headers || fail "please install libx11-dev"
500fi
501
cc376814 502sizeof_long=`check_define_val __SIZEOF_LONG__`
503if [ "x$sizeof_long" = "x4" ]; then
504 CFLAGS="$CFLAGS -D_FILE_OFFSET_BITS=64"
505fi
506
943a507a 507if [ "$enable_icache_emu" = "yes" ]; then
508 CFLAGS="$CFLAGS -DICACHE_EMULATION"
509fi
510
9f704290 511cat > $TMPC <<EOF
512void test(void *f, void *d) { fread(d, 1, 1, f); }
513EOF
514if compile_object -Wno-unused-result; then
515 CFLAGS="$CFLAGS -Wno-unused-result"
516fi
517
dd4d5a35 518# short plugin list for display
519for p in $plugins; do
520 p1=`basename $p`
521 plugins_short="$p1 $plugins_short"
522done
523
4132e8ca 524# set things that failed to autodetect to "no"
525test "x$have_armv6" != "x" || have_armv6="no"
526test "x$have_armv7" != "x" || have_armv7="no"
527test "x$have_arm_neon" != "x" || have_arm_neon="no"
00a212aa 528test "x$have_gles" != "x" || have_gles="no"
5514a050 529test "x$have_c64x_dsp" != "x" || have_c64x_dsp="no"
4132e8ca 530
531echo "architecture $ARCH"
532echo "platform $platform"
61bc6d40 533echo "built-in GPU $builtin_gpu"
07c13dfd 534echo "sound drivers $sound_drivers"
dd4d5a35 535echo "plugins $plugins_short"
4132e8ca 536echo "C compiler $CC"
537echo "C compiler flags $CFLAGS"
07c13dfd 538echo "libraries $MAIN_LDLIBS"
22fa3f2b 539echo "linker flags $LDFLAGS$MAIN_LDFLAGS"
4132e8ca 540echo "enable dynarec $enable_dynarec"
5514a050 541if [ "$ARCH" = "arm" ]; then
542 echo "ARMv7 optimizations $have_armv7"
543 echo "enable ARM NEON $have_arm_neon"
544 echo "TI C64x DSP support $have_c64x_dsp"
545fi
4132e8ca 546echo "tslib support $have_tslib"
2c616080 547if [ "$platform" = "generic" ]; then
548 echo "OpenGL ES output $have_gles"
549fi
4132e8ca 550
551echo "# Automatically generated by configure" > $config_mak
552printf "# Configured with:" >> $config_mak
553printf " '%s'" "$0" "$@" >> $config_mak
554echo >> $config_mak
555
556echo "CC = $CC" >> $config_mak
ac6575cd 557echo "CXX = $CXX" >> $config_mak
4132e8ca 558echo "AS = $AS" >> $config_mak
559echo "CFLAGS += $CFLAGS" >> $config_mak
560echo "ASFLAGS += $ASFLAGS" >> $config_mak
561echo "LDFLAGS += $LDFLAGS" >> $config_mak
22fa3f2b 562echo "MAIN_LDFLAGS += $MAIN_LDFLAGS" >> $config_mak
07c13dfd 563echo "MAIN_LDLIBS += $MAIN_LDLIBS" >> $config_mak
4132e8ca 564echo "PLUGIN_CFLAGS += $PLUGIN_CFLAGS" >> $config_mak
565echo >> $config_mak
566
38c2028e 567if [ "$platform" = "libretro" ]; then
568 echo "TARGET = libretro.so" >> $config_mak
569fi
4132e8ca 570echo "ARCH = $ARCH" >> $config_mak
571echo "PLATFORM = $platform" >> $config_mak
61bc6d40 572echo "BUILTIN_GPU = $builtin_gpu" >> $config_mak
07c13dfd 573echo "SOUND_DRIVERS = $sound_drivers" >> $config_mak
ddd99692 574echo "PLUGINS = $plugins" >> $config_mak
4132e8ca 575if [ "$have_arm_neon" = "yes" ]; then
576 echo "HAVE_NEON = 1" >> $config_mak
577fi
578if [ "$have_tslib" = "yes" ]; then
579 echo "HAVE_TSLIB = 1" >> $config_mak
580fi
5b9aa749 581if [ "$have_gles" = "yes" ]; then
582 echo "HAVE_GLES = 1" >> $config_mak
583 echo "CFLAGS_GLES = $CFLAGS_GLES" >> $config_mak
584 echo "LDLIBS_GLES = $LDLIBS_GLES" >> $config_mak
585fi
4132e8ca 586if [ "$enable_dynarec" = "yes" ]; then
587 echo "USE_DYNAREC = 1" >> $config_mak
588fi
589if [ "$drc_cache_base" = "yes" ]; then
2a014d73 590 echo "BASE_ADDR_DYNAMIC = 1" >> $config_mak
4132e8ca 591fi
5514a050 592if [ "$have_c64x_dsp" = "yes" ]; then
593 echo "HAVE_C64_TOOLS = 1" >> $config_mak
594fi
4132e8ca 595
2e6189bc 596# use pandora's skin (for now)
597test -e skin || ln -s frontend/pandora/skin skin
598
4132e8ca 599# vim:shiftwidth=2:expandtab